commit:     a0a9153bc97dc4ca36ecfbe3526f17afd13f13d3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 14 06:08:16 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 14 06:32:08 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0a9153b

dev-python/dbus-python: Bump to 1.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dbus-python/Manifest                 |  1 +
 dev-python/dbus-python/dbus-python-1.4.0.ebuild | 93 +++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-python/dbus-python/Manifest b/dev-python/dbus-python/Manifest
index a7ad92adada0..e6da63a6ee1a 100644
--- a/dev-python/dbus-python/Manifest
+++ b/dev-python/dbus-python/Manifest
@@ -1 +1,2 @@
 DIST dbus-python-1.3.2.tar.gz 605495 BLAKE2B 
6c60217b3837d655ab4f833b9f21d8f76eb4129cfeaa26586ef7adc8be8f8c5f03464428ff9f281b2566fb0f89cbb5e4b5618bf7cc961faf9f638d9011874839
 SHA512 
9b2885c9c2914142c72487f766b1cdd28a255d9f5a87eaf8f4eb420c6e096a77f210ac5a4fac9843c6531974872880cc28b7e45940e198856e984dcc0715519a
+DIST dbus-python-1.4.0.tar.xz 168268 BLAKE2B 
17ed4ed1d6f76acf4dc55dc9d281081d0bb412811f0b340edd8c2ef767802dd0386ffa39cdbc7a61870b916b20c89bee0d6a5b6b8e9355c84d2fdc846575e465
 SHA512 
defd5fba8348635ce52654b7e93e6cacf52966f6facfb7bb04fc77f2f82129e0b7673d4f3d483ef3321985172987d8c3265b27b9200c68c39c729567ffa21456

diff --git a/dev-python/dbus-python/dbus-python-1.4.0.ebuild 
b/dev-python/dbus-python/dbus-python-1.4.0.ebuild
new file mode 100644
index 000000000000..d639a5a6848e
--- /dev/null
+++ b/dev-python/dbus-python/dbus-python-1.4.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit autotools python-r1
+
+DESCRIPTION="Python bindings for the D-Bus messagebus"
+HOMEPAGE="
+       https://www.freedesktop.org/wiki/Software/DBusBindings/
+       https://dbus.freedesktop.org/doc/dbus-python/
+"
+SRC_URI="https://dbus.freedesktop.org/releases/${PN}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="doc examples test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       ${PYTHON_DEPS}
+       >=sys-apps/dbus-1.8:=
+       >=dev-libs/glib-2.40
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       virtual/pkgconfig
+       doc? (
+               $(python_gen_any_dep '
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+               ')
+       )
+       test? (
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               dev-python/tap-py[${PYTHON_USEDEP}]
+       )
+"
+
+python_check_deps() {
+       python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" \
+               "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+       default
+       # Update py-compile, bug 529502.
+       eautoreconf
+       python_copy_sources
+}
+
+src_configure() {
+       use doc && python_setup
+       local SPHINX_IMPL=${EPYTHON}
+
+       configuring() {
+               local myconf=(
+                       --disable-documentation
+
+                       # Work around broken AX_PYTHON_DEVEL macro.
+                       # https://bugs.gentoo.org/815136
+                       PYTHON_EXTRA_LIBS=' '
+               )
+               [[ ${EPYTHON} == ${SPHINX_IMPL} ]] &&
+                       myconf+=( --enable-documentation )
+
+               econf "${myconf[@]}"
+       }
+       python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+       unset DBUS_SESSION_BUS_ADDRESS
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       python_foreach_impl run_in_build_dir default
+       find "${D}" -name '*.la' -type f -delete || die
+
+       use examples && dodoc -r examples
+}

Reply via email to